<!doctype html>
<html lang="eng">

    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
        <title> Cpu Table</title>

    </head>

    <body>
      <!--buttons for modals-->
        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modal-by-cpu-id">
           Get CPU By ID
        </button>
        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modal-add-cpu">
          Add CPU
        </button>
        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modal-delete-cpu">
          Delete CPU
        </button>
        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modal-update-cpu">
          Update CPU
        </button>
        <!--Table that shows all CPUs-->
        <table id="cpu-table" class="table table-striped">
            <caption style=text-align:center;>CPUs</caption>
            <tr>
                <th scope="col">ID</th>
                <th scope="col">Name</th>
                <th scope="col">Cores</th>
                <th scope="col">GHz</th>
                <th scope="col">Price</th>
            </tr>
        </table>
        <!--Modal to search for CPUs by ID-->
        <div class="modal fade" id="modal-by-cpu-id" tabindex="-1" aria-labelledby="get-cpu-by-id" aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="get-cpu-by-id">Get CPU By ID</h5>
                  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                  <!--Table within CPU by ID modal-->
                    <table id="cpu-by-id" class="table table-bordered">
                        <caption style=text-align:center;>CPU By ID</caption>
                        <tr>
                            <th scope="col">ID</th>
                            <th scope="col">Name</th>
                            <th scope="col">Cores</th>
                            <th scope="col">GHz</th>
                            <th scope="col">Price</th>
                        </tr>
                    </table>
                </div>
                <div class="form-floating">
                    <textarea class="form-control" placeholder="ID" id="enter-cpu-by-id"></textarea>
                    <label id="enter-cpu-id" for="floatingTextarea">Enter CPU ID</label>
                  </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary" onclick="renderCpuById()">Search</button>
                </div>
              </div>
            </div>
          </div>
          <!--Modal to add CPUs-->
          <div class="modal fade" id="modal-add-cpu" tabindex="-1" aria-labelledby="addCpu" aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title">Add a CPU</h5>
                  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                  <!--Inputs for modal to add CPUs-->
                  <div class="input-group mb-3">
                    <span class="input-group-text">Name</span>
                    <input type="text" class="form-control" id="name-input" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
                  </div>
                  <div class="input-group mb-3">
                    <span class="input-group-text">Cores</span>
                    <input type="text" class="form-control" id="cores-input" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
                  </div>
                  <div class="input-group mb-3">
                    <span class="input-group-text">GHz</span>
                    <input type="text" class="form-control" id="ghz-input" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
                  </div>
                  <div class="input-group mb-3">
                    <span class="input-group-text">Price</span>
                    <input type="text" class="form-control" id="price-input" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
                  </div>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary" onclick="createCpu()">Add CPU</button>
                </div>
              </div>
            </div>
          </div>
          <!--Modal to delete CPU-->
          <div class="modal fade" id="modal-delete-cpu" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title">Delete CPU</h5>
                  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                  <div class="input-group mb-3">
                    <span class="input-group-text">Delete CPU by ID</span>
                    <input type="text" class="form-control" id="delete-cpu" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
                  </div>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary" onclick="deleteCpu()">Delete</button>
                </div>
              </div>
            </div>
          </div>
          <!--Modal to update CPU-->
          <div class="modal fade" id="modal-update-cpu" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">Update CPU</h5>
                  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                  <!--Inputs for modal to update CPU-->
                  <div class="input-group mb-3">
                    <span class="input-group-text">ID</span>
                    <input type="text" class="form-control" id="id-update" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
                  </div>
                  <div class="input-group mb-3">
                    <span class="input-group-text">Name</span>
                    <input type="text" class="form-control" id="name-update" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
                  </div>
                  <div class="input-group mb-3">
                    <span class="input-group-text">Cores</span>
                    <input type="text" class="form-control" id="cores-update" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
                  </div>
                  <div class="input-group mb-3">
                    <span class="input-group-text">GHz</span>
                    <input type="text" class="form-control" id="ghz-update" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
                  </div>
                  <div class="input-group mb-3">
                    <span class="input-group-text">Price</span>
                    <input type="text" class="form-control" id="price-update" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
                  </div>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary" onclick="updateCpu()">Save updates</button>
                </div>
              </div>
            </div>
          </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>     
        <script src="cpurequest.js"></script>
		    <script src="cpurequestbyid.js"></script>
        <script src="createCpu.js"></script>
        <script src="deleteCpu.js"></script>
        <script src="updateCpu.js"></script>
    </body>
</html>